<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:context=".ui.bookmarks.BookMarksFragment">

    <data>

        <import type="android.view.View" />

        <variable
            name="isLoading"
            type="Boolean" />

        <variable
            name="isData"
            type="Boolean" />

        <variable
            name="adapter"
            type="com.example.rajassginment.ui.bookmarks.adapter.BookMarksRepositoryAdapter" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.recyclerview.widget.RecyclerView
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_margin="5dp"
            android:adapter="@{adapter}"
            android:orientation="vertical"
            android:visibility="@{isData? View.VISIBLE : View.GONE, default=gone}"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:listitem="@layout/repository_item" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="10dp"
            android:text="@string/no_item_bookmarked"
            android:textAlignment="center"
            android:textColor="@android:color/darker_gray"
            android:textSize="20sp"
            android:textStyle="bold"
            android:visibility="@{isData ? View.GONE : View.VISIBLE, default=visible}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>